Home My Page Projects Code Snippets Project Openings SML/NJ
Summary Activity Forums Tracker Lists Tasks Docs Surveys News SCM Files

SCM Repository

[smlnj] Diff of /sml/trunk/src/system/installml
ViewVC logotype

Diff of /sml/trunk/src/system/installml

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

revision 569, Tue Mar 7 04:01:07 2000 UTC revision 651, Thu Jun 1 18:34:03 2000 UTC
# Line 5  Line 5 
5    
6  trap 'rm -f $tmpfile; exit 1' 0 1 2 3 15  trap 'rm -f $tmpfile; exit 1' 0 1 2 3 15
7    
8    this=$0
9  here=`pwd`  here=`pwd`
10  cd ../..  cd ../..
11  twoup=`pwd`  twoup=`pwd`
# Line 24  Line 25 
25    if [ "$?" = "0" ]; then    if [ "$?" = "0" ]; then
26      eval $ARCH_N_OPSYS      eval $ARCH_N_OPSYS
27    else    else
28      echo "Cannot determine architecture/os."      echo "$this: Cannot determine architecture/os."
29      exit 1      exit 1
30    fi    fi
31  fi  fi
# Line 37  Line 38 
38      if [ -d $1 ] ; then      if [ -d $1 ] ; then
39          if [ ! -d $2 ] ; then          if [ ! -d $2 ] ; then
40              if [ -f $2 ] ; then              if [ -f $2 ] ; then
41                  echo installml: $2 exists as a non-directory.                  echo $this: $2 exists as a non-directory.
42                  exit 1                  exit 1
43              fi              fi
44              mkdir $2              mkdir $2
# Line 57  Line 58 
58  LIB_DIR=$STEM.lib  LIB_DIR=$STEM.lib
59    
60  if [ ! -f $HEAP_FILE ] ; then  if [ ! -f $HEAP_FILE ] ; then
61      echo "The heap file $HEAP_FILE is missing."      echo "$this: The heap file $HEAP_FILE is missing."
62      exit 1      exit 1
63  fi  fi
64    
65  if [ ! -d $LIB_DIR ] ; then  if [ ! -d $LIB_DIR ] ; then
66      echo "The library directory $LIB_DIR is missing."      echo "$this: The library directory $LIB_DIR is missing."
67      exit 1      exit 1
68  fi  fi
69    
# Line 71  Line 72 
72    
73  # Moving each individual library...  # Moving each individual library...
74  cd $LIB_DIR  cd $LIB_DIR
75  list=`echo *.cm`  for anchor in * ; do
76  for lib in init.cmi $list ; do      if [ -d $anchor ] ; then
77      move $lib $MAIN_LIB_DIR/$lib          move $anchor $MAIN_LIB_DIR/$anchor
78        fi
79  done  done
80  cd ..  cd ..
81    
# Line 87  Line 89 
89  fi  fi
90  rm -f $pcfile  rm -f $pcfile
91  cat $LIB_DIR/pathconfig >>$tmpfile  cat $LIB_DIR/pathconfig >>$tmpfile
92  awk <$tmpfile >$pcfile 'NF == 2 { mapping[$1] = $2 }  awk <$tmpfile 'NF == 2 { mapping[$1] = $2 }
93  NF != 2 { print $0 }  NF != 2 { print $0 }
94  END { for (i in mapping) print i, mapping[i] }'  END { for (i in mapping) print i, mapping[i] }' \
95     | sort >$pcfile
96    
97  rm -r $LIB_DIR  rm -r $LIB_DIR

Legend:
Removed from v.569  
changed lines
  Added in v.651

root@smlnj-gforge.cs.uchicago.edu
ViewVC Help
Powered by ViewVC 1.0.0